Skip to main content
GET
/
legal_entities
/
{legalEntityId}
/
vaults
TypeScript
const response: Promise<FireblocksResponse<ListVaultsForRegistrationResponse>> = fireblocks.compliance.listVaultsForLegalEntity(complianceApiListVaultsForLegalEntityRequest);
{
  "data": [
    "23",
    "12",
    "1"
  ],
  "total": 5,
  "next": "eyJpZCI6IjEyMyJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

The unique ID of the legal entity registration

Query Parameters

pageCursor
string

Cursor string returned in next or prev of a previous response

pageSize
integer
default:50

Maximum number of registrations to return

Required range: 1 <= x <= 100

Response

Paginated list of vault account IDs assigned to the legal entity

Response containing vault account IDs assigned to a legal entity registration

data
string[]
required

List of vault account IDs assigned to the legal entity registration

Example:
["23", "12", "1"]
total
integer

Total number of legal entity registrations (optional)

Example:

5

next
string

Cursor to pass as pageCursor to retrieve the next page

Example:

"eyJpZCI6IjEyMyJ9"